
Katello - Bug #4725

(nightlies 3-19-14) creating host groups is missing published content views

03/19/2014 06:31 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403182251gita638704.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403182251gita638704.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

rubygem-katello_api-0.0.8-1.201403182244git25f03d8.git.0.b35bfdd.el6.noarch

1. Create a product and a puppet repository

2. Upload a puppet module

3. Create a content view with said module

4. Publish the content view to the library

5. Go to the hostgroups page

6. Create a new hostgroup

Only the default view is visible: <option data-katello-id="ACME_Corporation/Library/Default_Organization_View" value="1"

style="display: block;">Default_Organization_View</option>

There is a view published that is not in the dropdown.

Additionally, if I select the default view, a popup error appears:

Error while loading activation keys from Katello

From foreman/production.log:

Processing by HostgroupsController#environment_selected as */*

Parameters: {"utf8"=>"✓", "authenticity_token"=>"rXjmGf3Ki8zJGflqzlmVn2qhrTnYZ7BAmWknmuVUymw=",

"hostgroup"=>{"parent_id"=>"", "name"=>"motd", "environment_id"=>"1", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"",

"domain_id"=>"", "architecture_id"=>"", "root_pass"=>"[FILTERED]", "organization_ids"=>["", "1"]},

"kt_environment_id"=>"ACME_Corporation/Library", "kt_activation_keys"=>"", "host_id"=>"1"}

ActionController::RoutingError (No route matches [GET] "/katello/api/organizations/ACME_Corporation/content_views"):

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

  Rendered puppetclasses/_classes.html.erb (1.5ms)

  Rendered puppetclasses/_class_selection.html.erb (11.0ms)

Completed 200 OK in 34ms (Views: 13.5ms | ActiveRecord: 2.5ms)

Connecting to database specified by database.yml

Clean start.

shutting down Core ...

... Core terminated.

 I think that error is unrelated to the missing view(s).

Associated revisions

Revision b03147ef - 03/23/2014 06:32 PM - Justin Sherrill

Merge pull request #3851 from jlsherrill/env_delete

fixes #4725 - fixes deletion of puppet environments with no modules

History

#1 - 03/19/2014 06:42 PM - Erik Jacobs

- File Screenshot from 2014-03-19 14_40_23.png added

Additionally, if you create a lifecycle environment and promote the content into that environment, that whole environment is still missing from the

hostgroup page.

The following is the HTML that appears on the hostgroup creation page. Note the development environment is absent.

<div class="form-group ">

<label class="col-md-2 control-label" for="Environment">Environment</label>

<div class="col-md-4">

<select id="kt_environment_id" name="kt_environment_id">

<option value=""></option>

<optgroup label="ACME_Corporation">

<option class="kt-env" value="ACME_Corporation/Library">Library</option>

</optgroup>

</select>

<span class="help-block"></span>

</div>

<span class="help-block help-inline"></span>

</div>

#2 - 03/19/2014 06:54 PM - Justin Sherrill

- Assignee set to Justin Sherrill

#3 - 03/19/2014 07:57 PM - Mike McCune

- Status changed from New to Assigned

#4 - 03/19/2014 09:50 PM - Justin Sherrill

So it turns out the puppet environment is being created in foreman, it is just being immediately deleted, partially due to #4732 not being fixed yet (PR

Open https://github.com/Katello/katello/pull/3837), however i'm not sure that foreman should be deleting empty environments regardless.  Will

investigate more.

#5 - 03/20/2014 03:03 PM - Erik Jacobs

Tested https://github.com/Katello/katello/pull/3837 and verified that now a published view is available in the dropdown.

#6 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#7 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)
#8 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#9 - 03/23/2014 06:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b03147ef67a8de7a92b42b1ce9ef6e5cd6bcca3b.

#10 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

Screenshot from 2014-03-19 14_27_21.png 271 KB 03/19/2014 Erik Jacobs

Screenshot from 2014-03-19 14_29_03.png 276 KB 03/19/2014 Erik Jacobs

Screenshot from 2014-03-19 14_40_23.png 277 KB 03/19/2014 Erik Jacobs
